// PRE-RELASE VERSION SUBJECT TO CHANGE
// Please do not distribute.

// Template Numerical Toolkit (TNT) 
//
// Header file for scalar math functions
//
// R. Pozo  (http://math.nist.gov/tnt)
// Applied and Computational Mathematics Division
// National Institute of Standards and Technology

#ifndef TNTMATH_H
#define TNTMATH_H

// conventional functions required by several matrix algorithms



inline double abs(double t)
{
    return ( t > 0 ? t : -t);
}

inline double min(double a, double b)
{
    return (a < b ? a : b);
}

inline double max(double a, double b)
{
    return (a > b ? a : b);
}

inline double sign(double a)
{
    return (a > 0 ? 1 : -1);
}


inline float abs(float t)
{
    return ( t > 0 ? t : -t);
}

inline float min(float a, float b)
{
    return (a < b ? a : b);
}

inline float max(float a, float b)
{
    return (a > b ? a : b);
}

inline float sign(float a)
{
    return (a > 0 ? 1 : -1);
}




#endif
// TNTMATH_H
